@import "../global";

#dashboard {
	left: -15px;
}

.grid-stack-item {

	.grid-stack-item-content {
		background: white;
		box-shadow: 1px 1px 4px 0 #e2e2e2;
		inset: 15px !important;
		overflow: hidden !important;
	}

}



[data-action="delete-widget"] {
	animation: delete-attention 600ms infinite alternate ease-in;
}

@keyframes delete-attention {
	from { background-color: $blood_burst }
	to   { background-color: darken($blood_burst, 30); }
}


.grid-stack-item-content h2 {
	margin-top: 0;
}

.performance-widget {
	display: flex;
	width: 100%;
	height: 100%;

	> div:first-of-type {
		position: relative;
		width: 50%;
		height: 100%;

		> div {
			position: absolute;
			top: 10px;
			right: 0;
			bottom: 10px;
			left: 0;

			svg {
				height: 100%;

				&.positive {
					fill: $grass_hopper;
					transform: rotateZ(-90deg);
				}

				&.negative {
					fill: $blood_burst;
				}
			}
		}
	}

	> div:last-of-type {
		position: relative;
		width: 80%;
		height: 100%;

		> div {
			position: absolute;
			right: 10px;
			bottom: 41px;
			left: 0;

			span:first-of-type {
				font-size: 2.5em;
				font-family: "Segoe UI Bold", sans-serif;
			}

			span:last-of-type {
				display: block;
				margin-top: 3px;
				font-size: 1.1em;
				color: $gray;
			}
		}
	}
}

.weather-widget {
	position: relative;
	width: calc(100% - 60px);
	height: calc(100% - 60px);
	margin: 0 auto;
	top: 30px;

	.info {

		.current {
			display: flex;

			.icon {
				width: 90px;
				height: 90px;

				svg {
					width: 100%;
					height: 100%;
					fill: $deep_midnight;
				}
			}

			.temperature {
				font-size: 5em;
				font-family: "Segoe UI Bold", sans-serif;
				margin-left: 30px;
			}
		}

		.location {
			font-size: 1.1em;
			color: $gray;
		}
	}

	.chart {
		position: absolute;
		bottom: 0;
		left: 0;
		right: 0;
	}
}
